Name: gtktalog
Version: 1.0.0
Release: alt1

Summary: The Gnome disk catalog
Summary (ru_RU.UTF-8): Каталогизатор дисков для GNOME
License: GPL
Group: Archiving/Other
Url: http://gtktalog.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: aboutbox.patch
Source2: help.tar.bz2
Source3: %name.16.png
Source4: %name.32.png
Source5: %name.48.png
BuildRequires: ORBit-devel XFree86-devel eject esound-devel flex gcc-c++ glib-devel glibc-devel-static gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libstdc++-devel unzip zlib-devel

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

%description -l ru_RU.UTF-8
Gtktalog может создавать очень компактные базы данных, содержащие сведения о
файлах и каталогах на Ваших компакт-дисках. С его помощью можно быстро
просматривать содержимое всех компакт-дисков, включая внутреннее содержание
некоторых файлов (tar.gz, rpm и т.д.). Каждый файл или каталог может быть
отнесён к определённой категории и снабжён описанием. Занесённый в базу данных
файл можно найти по имени, категории, описанию и прочим свойствам файла.
Программа сможет дать ответ на каком диске и в каком каталоге находится нужный файл.

%prep
%setup -q
%__patch src/gtktalog/about.c %SOURCE1

%build
%configure --enable-htmltitle --enable-mp3info --enable-ogginfo --enable-modinfo --enable-aviinfo --enable-mpeginfo --enable-mpgtx --enable-tcprobe --enable-catalog2 --enable-catalog3 --enable-fixcd
%make

%install
%makeinstall
%find_lang %name
#help (где у нас db2html?)
rm -rf $RPM_BUILD_ROOT%_datadir/gnome/help/gtktalog
cd $RPM_BUILD_ROOT%_datadir/gnome/help
tar xjf %SOURCE2
# menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name):command="%_bindir/%name" needs="x11" \
section="Applications/Archiving/Other" title="GTKtalog" \
longtitle="The Gnome disk catalog" icon="%name.png"
EOF
#icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_miconsdir,%_iconsdir}
cp %SOURCE3 $RPM_BUILD_ROOT%_miconsdir/%name.png
cp %SOURCE4 $RPM_BUILD_ROOT%_iconsdir/%name.png
cp %SOURCE5 $RPM_BUILD_ROOT%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO BUGS Docs/README*
%doc %_datadir/man/man1/*
%doc %_datadir/gnome/help/gtktalog
%_bindir/*
%_libdir/%name
%_datadir/gtktalog
%_datadir/gnome/apps/Applications/%name.desktop
%_datadir/pixmaps/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Sat Nov 02 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0.0-alt1
- 1.0.0, fixes

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.99.16-alt1
- 0.99.16

* Tue Jul 24 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.99.5-alt1
- new version

* Fri Jun 8 2001 AEN <aen@logic.ru> 0.19.2-alt1
- new version

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation
